import { Synthesizer } from "./Synthesizer";
export declare const enum Screen {
    main = 0,
    instructions = 1,
    about = 2
}
export declare class MainUi extends EventTarget {
    screen: Screen;
    private synthesizer;
    private glottis;
    private glottisUi;
    private tractUi;
    private canvas;
    private ctx;
    private backCanvas;
    private touchesWithMouse;
    private instructionsLine;
    private mouseTouch;
    private aboutButton;
    private alwaysVoiceButton;
    private autoWobbleButton;
    private mouseTouchCtr;
    constructor(synthesizer: Synthesizer, canvas: HTMLCanvasElement);
    private createBackgroundCanvas;
    private getTractTime;
    private switchScreen;
    draw(): void;
    private drawAboutScreen;
    private drawAboutText;
    private drawInstructionsScreen;
    private instructionsScreenHandleTouches;
    private instructionsScreenHandleTouch;
    private write;
    private buttonsHandleTouchStart;
    private touchStartEventHandler;
    private processStartTouches;
    private updateAppTouchPosition;
    private getAppTouchById;
    private touchMoveEventHandler;
    private touchEndEventHandler;
    private mouseDownEventHandler;
    private mouseMoveEventHandler;
    private mouseUpEventHandler;
    private handleTouches;
    private removeOldTouches;
}
