import { Glottis } from "./Glottis";
export interface Transient {
    position: number;
    startTime: number;
    lifeTime: number;
    strength: number;
    exponent: number;
}
export interface TurbulencePoint {
    position: number;
    diameter: number;
    startTime: number;
    endTime: number;
}
export declare class Tract {
    private glottis;
    private tractSampleRate;
    private fricationNoiseSource;
    readonly n = 44;
    readonly bladeStart = 10;
    readonly tipStart = 32;
    readonly lipStart = 39;
    readonly noseLength = 28;
    readonly noseStart: number;
    private readonly glottalReflection;
    private readonly lipReflection;
    private sampleCount;
    time: number;
    private right;
    private left;
    private reflection;
    private newReflection;
    private junctionOutputRight;
    private junctionOutputLeft;
    maxAmplitude: Float64Array;
    diameter: Float64Array;
    transients: Transient[];
    turbulencePoints: TurbulencePoint[];
    private noseRight;
    private noseLeft;
    private noseJunctionOutputRight;
    private noseJunctionOutputLeft;
    private noseReflection;
    noseDiameter: Float64Array;
    noseMaxAmplitude: Float64Array;
    private reflectionLeft;
    private newReflectionLeft;
    private reflectionRight;
    private newReflectionRight;
    private reflectionNose;
    private newReflectionNose;
    constructor(glottis: Glottis, tractSampleRate: number);
    calculateNoseReflections(): void;
    calculateNewBlockParameters(): void;
    private calculateMainTractReflections;
    private calculateNoseJunctionReflections;
    step(glottalOutput: number, lambda: number): number;
    private processTransients;
    private addTurbulenceNoise;
    private addTurbulenceNoiseAtPosition;
}
